Mostrando resultados del 1 al 2 de 2

Tema: Problemas al instalar Spotify en OpenSuse Tumbleweed

  1. #1
    Fecha de Ingreso
    25-octubre-2018
    Mensajes
    1
    Poder de Credibilidad
    0

    Exclamation Problemas al instalar Spotify en OpenSuse Tumbleweed

    Al tratar de instalar spotify a través del script que lo facilita, me manda varios errores y no aborta la instalación, dando la sig. salida.
    Código:
    german@linux-5aet:~> install-spotify
    rpm-build is already installed.
    
    Spotify .deb package already exists:
    
      /home/german/rpmbuild/SOURCES/spotify-client-0.9.17_0.9.17.8.gd06432d.31-1_amd64.deb
    
    Skipping download.
    
    About to build spotify-client rpm; please be patient ...
    
    advertencia:Macro expanded in comment on line 178: %{_datadir}/applications/spotify.desktop
    
    Ejecutando(%prep): /bin/sh -e /var/tmp/rpm-tmp.mrfHHg
    + umask 022
    + cd /home/german/rpmbuild/BUILD
    + cd /home/german/rpmbuild/BUILD
    + rm -rf spotify-client-0.9.17.8.gd06432d.31
    + /usr/bin/mkdir -p spotify-client-0.9.17.8.gd06432d.31
    + cd spotify-client-0.9.17.8.gd06432d.31
    + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
    + ar -vx /home/german/rpmbuild/SOURCES/spotify-client-0.9.17_0.9.17.8.gd06432d.31-1_amd64.deb
    x - debian-binary
    x - control.tar.gz
    x - data.tar.xz
    + tar -xf data.tar.xz
    + rm control.tar.gz data.tar.xz debian-binary
    + cat
    + chmod +x /home/german/rpmbuild/BUILD/spotify-client-0.9.17.8.gd06432d.31/find-requires.sh
    + exit 0
    Ejecutando(%build): /bin/sh -e /var/tmp/rpm-tmp.UlOzVA
    + umask 022
    + cd /home/german/rpmbuild/BUILD
    + /usr/bin/rm -rf /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64
    ++ dirname /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64
    + /usr/bin/mkdir -p /home/german/rpmbuild/BUILDROOT
    + /usr/bin/mkdir /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64
    + cd spotify-client-0.9.17.8.gd06432d.31
    + exit 0
    Ejecutando(%install): /bin/sh -e /var/tmp/rpm-tmp.W7NocW
    + umask 022
    + cd /home/german/rpmbuild/BUILD
    + cd spotify-client-0.9.17.8.gd06432d.31
    + mv opt /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64
    + desktop=/home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/spotify.desktop
    + sed -i 's/^\(MimeType=.*\);?$/\1;/i ;
            s/^Categories=/Categories=AudioVideo;Music;Player;Jukebox;/' /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/spotify.desktop
    + /usr/lib/rpm/suse_update_desktop_file.sh /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/spotify.desktop
    WARNING: Category "Audio" is unknown \!
    WARNING: it is ignored, until you registered a Category at opensuse-packaging@opensuse.org .
    + mkdir -p /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/usr/share/doc/packages/spotify-client
    + cat
    + mkdir -p /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib
    + ln -sf ../Data/libcef.so /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libcef.so
    + mkdir -p /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/usr/bin
    + wrapper=/home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/usr/bin/spotify
    + cat
    + chmod +x /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/usr/bin/spotify
    + mkdir -p /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/usr/lib64
    + ln -sf /lib64/libcrypto.so.1.0.0 /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libcrypto.so.0.9.8
    + ln -sf /lib64/libssl.so.1.0.0 /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libssl.so.0.9.8
    + libs=(libnss3.so.1d libnssutil3.so.1d libsmime3.so.1d libplc4.so.0d libnspr4.so.0d)
    + for lib in "${libs[@]}"
    + ln -sf /usr/lib64/libnss3.so /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libnss3.so.1d
    + for lib in "${libs[@]}"
    + ln -sf /usr/lib64/libnssutil3.so /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libnssutil3.so.1d
    + for lib in "${libs[@]}"
    + ln -sf /usr/lib64/libsmime3.so /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libsmime3.so.1d
    + for lib in "${libs[@]}"
    + ln -sf /usr/lib64/libplc4.so /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libplc4.so.0d
    + for lib in "${libs[@]}"
    + ln -sf /usr/lib64/libnspr4.so /home/german/rpmbuild/BUILDROOT/spotify-client-0.9.17.8.gd06432d.31-1.x86_64/opt/spotify/spotify-client/lib/libnspr4.so.0d
    + export NO_BRP_CHECK_RPATH=true
    + NO_BRP_CHECK_RPATH=true
    + /usr/lib/rpm/brp-compress
    + /usr/lib/rpm/brp-suse
    calling /usr/lib/rpm/brp-suse.d/brp-05-permissions
    setting / to root:root 0755. (wrong owner/group german:users)
    setting /opt/ to root:root 0755. (wrong owner/group german:users)
    setting /usr/ to root:root 0755. (wrong owner/group german:users)
    calling /usr/lib/rpm/brp-suse.d/brp-15-strip-debug
    calling /usr/lib/rpm/brp-suse.d/brp-25-symlink
    ERROR: link target doesn't exist (neither in build root nor in installed system):
      /opt/spotify/spotify-client/lib/libcrypto.so.0.9.8 -> /lib64/libcrypto.so.1.0.0
    Add the package providing the target to BuildRequires and Requires
    ERROR: link target doesn't exist (neither in build root nor in installed system):
      /opt/spotify/spotify-client/lib/libssl.so.0.9.8 -> /lib64/libssl.so.1.0.0
    Add the package providing the target to BuildRequires and Requires
    error: Estado de salida erróneo de /var/tmp/rpm-tmp.W7NocW (%install)
    
    
    Errores de construcción RPM:
        Macro expanded in comment on line 178: %{_datadir}/applications/spotify.desktop
    
        Estado de salida erróneo de /var/tmp/rpm-tmp.W7NocW (%install)
    rpmbuild -ba /usr/src/packages/SPECS/spotify-client.spec failed! Aborting.

  2. #2
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.179
    Poder de Credibilidad
    10
    Hola gochoam

    Tengo instalado Spotify, use un instalador de script que instale desde el repositorio de Packman, lo que hace es descargar el paquete .deb de Debian, generar un rpm e instalarlo.

    Código:
    ~> zypper se spotify
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    
    E  | Nombre            | Resumen                                            | Tipo       
    ---+-------------------+----------------------------------------------------+------------
    i+ | spotify-client    | Desktop client for Spotify streaming music service | paquete    
    i+ | spotify-installer | Installer for Spotify desktop client               | paquete    
       | spotify-installer | Installer for Spotify desktop client               | paquete src
    
    ~> zypper info spotify-installer
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    
    
    Información para paquete spotify-installer:
    -------------------------------------------
    Repositorio           : Packman Repository                                  
    Nombre                : spotify-installer                                   
    Versión               : 0.9.17.8.gd06432d.31-lp150.5.2                      
    Arquitectura          : x86_64                                              
    Proveedor             : http://packman.links2linux.de                       
    Tamaño de instalación : 20,6 KiB                                            
    Instalado             : Sí                                                  
    Estado                : actualizado                                         
    Paquete de fuentes    : spotify-installer-0.9.17.8.gd06432d.31-lp150.5.2.src
    Resumen               : Installer for Spotify desktop client                
    Descripción           :                                                     
        This is an automatic installer for the Spotify desktop client for
        Linux, which circumvents the redistribution restrictions on the client
        by:
    
          - downloading the .deb from spotify.com
          - installing required dependencies
          - building an rpm
          - installing the rpm
    
        The process is intended to be as user-friendly as possible.
    Última edición por DiabloRojo; 26-oct-2018 a las 09:22
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Respuestas: 12
    Último mensaje: 01-mar-2015, 23:39
  2. Yast2 da error al arrancar
    By Susefan1 in forum Software
    Respuestas: 10
    Último mensaje: 01-dic-2014, 16:32
  3. VLC en Tumbleweed
    By feroSUSEANDO in forum Software
    Respuestas: 11
    Último mensaje: 21-sep-2013, 12:27
  4. Repositorio Tumbleweed
    By xisco in forum Portal de ForoSUSE
    Respuestas: 15
    Último mensaje: 10-abr-2012, 19:14
  5. Problemas Software tras instalar OpenSUSE
    By ahorrill in forum Software
    Respuestas: 4
    Último mensaje: 07-ene-2009, 18:19

Tags for this Thread

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •